import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();
    Professor emp = service.createProfessor("name", 100, 
        "street", "city", "state", "zip");
    em.getTransaction().commit();
    System.out.println("Persisted " + emp);

    util.checkData("select * from Professor");
    util.checkData("select * from ADDRESS");
    util.checkData("select * from ID_GEN");
    

    
    em.close();
    emf.close();
  }
}